<?php
/**
 * Lights Store Theme Customizer
 *
 * @package Lights Store
 */

function Lights_Store_Customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'Lights_Store_Customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'Lights_Store_Customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('lights_store_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Lights Store Theme Options', 'lights-store'),
	));

	/*
	* Customizer main header section
	*/

	$wp_customize->add_setting(
		'lights_store_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_site_title_text',
		array(
			'label'       => __('Enable Title', 'lights-store'),
			'description' => __('Enable or Disable Title from the site', 'lights-store'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'lights_store_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'lights-store'),
			'description' => __('Enable or Disable Tagline from the site', 'lights-store'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

		$wp_customize->add_setting(
		'lights_store_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'lights_store_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'lights-store'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

	/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'lights-store'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'lights_store_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'lights_store_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'lights-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'lights_store_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'lights_store_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'lights-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'lights_store_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'lights-store'),
			'description' => __('Checked to show Related Product', 'lights-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'lights-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'lights-store'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('lights_store_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'lights_store_sanitize_choices'
	));
	$wp_customize->add_control('lights_store_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','lights-store'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','lights-store'),
            'layout-2' => esc_html__('Sidebar On Left','lights-store'),
            'layout-3' => esc_html__('Full Width Layout','lights-store')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('lights_store_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'lights_store_sanitize_choices'
	));
	$wp_customize->add_control('lights_store_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','lights-store'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','lights-store'),
            'layout-2' => esc_html__('Sidebar On Left','lights-store'),
            'layout-3' => esc_html__('Full Width Layout','lights-store')
        ),
	) );

	$wp_customize->add_setting('lights_store_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'lights_store_sanitize_choices'
    ));
    $wp_customize->add_control('lights_store_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','lights-store' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','lights-store'),
            'Left' => __('Left','lights-store'),
            'Center' => __('Center','lights-store')
        ),
    ) );

	/*Additional Options*/
	$wp_customize->add_section('lights_store_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'lights-store'),
		'panel'       => 'lights_store_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'lights_store_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'lights-store'),
			'description' => __('Checked to enable sticky header', 'lights-store'),
			'section'     => 'lights_store_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'lights_store_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'lights-store'),
			'description' => __('Checked to show preloader', 'lights-store'),
			'section'     => 'lights_store_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'lights_store_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'lights-store'),
			'description' => __('Checked to show Breadcrumbs', 'lights-store'),
			'section'     => 'lights_store_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'lights_store_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'lights-store'),
			'description' => __('Checked to show Pagination', 'lights-store'),
			'section'     => 'lights_store_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Select Type Option*/
	$wp_customize->add_setting('lights_store_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'lights_store_sanitize_choices'
	));
	$wp_customize->add_control('lights_store_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','lights-store'),
        'section' => 'lights_store_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','lights-store'),
            'type-2' => esc_html__('Type 2','lights-store'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('lights_store_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'lights_store_sanitize_choices'
	));
	$wp_customize->add_control('lights_store_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','lights-store'),
        'section' => 'lights_store_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','lights-store'),
            'layout-2' => esc_html__('Sidebar On Left','lights-store'),
            'layout-3' => esc_html__('Full Width Layout','lights-store')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('lights_store_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'lights_store_sanitize_choices'
	));
	$wp_customize->add_control('lights_store_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','lights-store'),
        'section' => 'lights_store_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','lights-store'),
            'layout-2' => esc_html__('Sidebar On Left','lights-store'),
            'layout-3' => esc_html__('Full Width Layout','lights-store')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('lights_store_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'lights_store_sanitize_choices'
	));
	$wp_customize->add_control('lights_store_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','lights-store'),
        'section' => 'lights_store_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','lights-store'),
            'layout-2' => esc_html__('Sidebar On Left','lights-store'),
            'layout-3' => esc_html__('Full Width Layout','lights-store')
        ),
	) );

	$wp_customize->add_setting( 
		'lights_store_additional_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'lights_store_additional_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more additional options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(LIGHT_STORE_BUY_NOW) ." '>Check Lights Store PRO version.</a>
					</div>
				</div>
			",
			'section' => 'lights_store_additional_section'
		)
	);

	/*Archive Post Options*/
	$wp_customize->add_section('lights_store_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'lights-store'),
		'panel'       => 'lights_store_panel',
	));

	$wp_customize->add_setting('lights_store_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'lights-store'),
		'description' => __('Checked To Show Blog Post Title', 'lights-store'),
		'section'     => 'lights_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('lights_store_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'lights-store'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'lights-store'),
		'section'     => 'lights_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('lights_store_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'lights-store'),
		'description' => __('Checked To Show Blog Post Tags', 'lights-store'),
		'section'     => 'lights_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('lights_store_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'lights-store'),
		'description' => __('Checked To Show Blog Post Image', 'lights-store'),
		'section'     => 'lights_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('lights_store_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'lights-store'),
		'description' => __('Checked To Show Blog Post Content', 'lights-store'),
		'section'     => 'lights_store_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('lights_store_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'lights-store'),
		'description' => __('Checked To Show Blog Post Read More Button', 'lights-store'),
		'section'     => 'lights_store_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('lights_store_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'lights_store_sanitize_choices'
	));
	$wp_customize->add_control('lights_store_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','lights-store'),
        'section' => 'lights_store_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','lights-store'),
            'Center' => esc_html__('Center','lights-store'),
            'Right' => esc_html__('Right','lights-store')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'lights_store_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'lights_store_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'lights-store'),
			'section'     => 'lights_store_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'lights_store_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'lights_store_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'lights-store'),
			'section'     => 'lights_store_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('lights_store_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'lights-store'),
		'panel'       => 'lights_store_panel',
	));

	$wp_customize->add_setting('lights_store_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'lights-store'),
		'description' => __('Checked To Show Single Blog Post Title', 'lights-store'),
		'section'     => 'lights_store_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('lights_store_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'lights-store'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'lights-store'),
		'section'     => 'lights_store_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('lights_store_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'lights-store'),
		'description' => __('Checked To Show Single Blog Post Tags', 'lights-store'),
		'section'     => 'lights_store_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('lights_store_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'lights-store'),
		'description' => __('Checked To Show Single Post Image', 'lights-store'),
		'section'     => 'lights_store_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('lights_store_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'lights_store_sanitize_checkbox',
	));
	$wp_customize->add_control('lights_store_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'lights-store'),
		'description' => __('Checked To Show Single Blog Post Content', 'lights-store'),
		'section'     => 'lights_store_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting(
		'lights_store_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'lights-store'),
			'description' => __('Checked to show Related Post', 'lights-store'),
			'section'     => 'lights_store_single_post_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'lights_store_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'lights_store_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'lights-store'),
			'section'     => 'lights_store_single_post_section',
			'type'        => 'text',
		)
	);	

	$wp_customize->add_setting(
		'lights_store_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'lights_store_related_post_count',
		array(
			'label'       => __('Related Post Count', 'lights-store'),
			'section'     => 'lights_store_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'lights_store_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'lights-store'),
			'description' => __('Checked to show Comment Section', 'lights-store'),
			'section'     => 'lights_store_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('lights_store_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'lights-store'),
		'panel'       => 'lights_store_panel',
	));

	$wp_customize->add_setting( 'lights_store_primary_color',
		array(
		'default'           => '#98c397',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'lights_store_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'lights-store' ),
			'section'    => 'lights_store_global_color_section',
			'settings'   => 'lights_store_primary_color',
		) ) 
	);

	$wp_customize->add_setting( 'lights_store_secondary_color',
		array(
		'default'           => '#1F2230',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'lights_store_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'lights-store' ),
			'section'    => 'lights_store_global_color_section',
			'settings'   => 'lights_store_secondary_color',
		) ) 
	);
		
	/*Typography Options*/
	$wp_customize->add_section( 'lights_store_typography_section', array(
		'panel'       => 'lights_store_panel',
        'title'    => __( 'Typography Options', 'lights-store' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'lights_store_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'lights_store_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'lights_store_font_family', array(
		'label'    => __( 'Global Font Family', 'lights-store' ),
		'section'  => 'lights_store_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'lights-store' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
		),
	) );

	/*
	* Customizer main header section
	*/

	/*Main Header Options*/
	$wp_customize->add_section('lights_store_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'lights-store'),
		'panel'       => 'lights_store_panel',
	));

	// Add Setting for Menu Text Transform
    $wp_customize->add_setting( 'lights_store_menu_text_transform', array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'capitalize',
        'sanitize_callback' => 'lights_store_sanitize_choices'
    ) );

    // Add Control for Menu Text Transform
    $wp_customize->add_control( 'lights_store_menu_text_transform', array(
        'label'    => __( 'Menu Text Transform', 'lights-store' ),
        'section'  => 'lights_store_header_section',
        'type'     => 'select',
        'choices'  => array(
            'none'       => __( 'None', 'lights-store' ),
            'capitalize' => __( 'Capitalize', 'lights-store' ),
            'uppercase'  => __( 'Uppercase', 'lights-store' ),
            'lowercase'  => __( 'Lowercase', 'lights-store' ),
        ),
    ) );

	$wp_customize->add_setting(
		'lights_store_show_topbar',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'lights_store_show_topbar',
		array(
			'label'       => __('Enable Topbar', 'lights-store'),
			'description' => __('Checked to show the Topbar', 'lights-store'),
			'section'     => 'lights_store_header_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('lights_store_order_shipping_text',array(
		'default'	=> 'FREE SHIPPING',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('lights_store_order_shipping_text',array(
		'label'	=> __('Add Free Shipping Text','lights-store'),
		'section'	=> 'lights_store_header_section',
		'type'		=> 'text'
	));
	
	$wp_customize->add_setting('lights_store_order_shipping_link',array(
		'default'	=> '#',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('lights_store_order_shipping_link',array(
		'label'	=> __('Add Free Shipping Link','lights-store'),
		'section'	=> 'lights_store_header_section',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('lights_store_delivery_text',array(
		'default'=> 'on orders over $99. This offer is valid on all store items.',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('lights_store_delivery_text',array(
		'label'	=> __('Add Offer Text','lights-store'),
		'section'=> 'lights_store_header_section',
		'type'=> 'text'
	));

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'lights_store_header_info_phone',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '+91 1234 5678',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'lights_store_header_info_phone',
		array(
			'label'       => __('Edit Phone Number ', 'lights-store'),
			'section'     => 'lights_store_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('lights_store_header_phone_icon',array(
		'default'	=> 'fas fa-phone-alt',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Lights_Store_Icon_Changer(
        $wp_customize,'lights_store_header_phone_icon',array(
		'label'	=> __('Phone Number Icon','lights-store'),
		'transport' => 'refresh',
		'section'	=> 'lights_store_header_section',
		'type'		=> 'icon'
	)));

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'lights_store_header_info_email',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'lightstore@example.com',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'lights_store_header_info_email',
		array(
			'label'       => __('Edit Email Address ', 'lights-store'),
			'section'     => 'lights_store_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('lights_store_header_mail_icon',array(
		'default'	=> 'far fa-envelope-open',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Lights_Store_Icon_Changer(
        $wp_customize,'lights_store_header_mail_icon',array(
		'label'	=> __('Mail Icon','lights-store'),
		'transport' => 'refresh',
		'section'	=> 'lights_store_header_section',
		'type'		=> 'icon'
	)));

	$wp_customize->add_setting( 
		'lights_store_header_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'lights_store_header_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more header options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(LIGHT_STORE_BUY_NOW) ." '>Check Lights Store PRO version.</a>
					</div>
				</div>
			",
			'section' => 'lights_store_header_section'
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('lights_store_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'lights-store'),
		'panel'       => 'lights_store_panel',
	));

	/*Main product cat Option*/
	$wp_customize->add_setting(
		'lights_store_show_product_cat',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'lights_store_show_product_cat',
		array(
			'label'       => __('Enable Product Category', 'lights-store'),
			'description' => __('Checked to show the Product Category', 'lights-store'),
			'section'     => 'lights_store_slider_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'lights_store_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'lights-store'),
			'description' => __('Checked to show the main slider', 'lights-store'),
			'section'     => 'lights_store_slider_section',
			'type'        => 'checkbox',
		)
	);

	for ($lights_store_i=1; $lights_store_i <= 3; $lights_store_i++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'lights_store_slider_image'.$lights_store_i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'lights_store_slider_image'.$lights_store_i, 
				array(
			        'label' => __('Edit Slider Image ', 'lights-store') .$lights_store_i,
			        'description' => __('Edit the slider image.', 'lights-store'),
			        'section' => 'lights_store_slider_section',
				)
			)
		);

		/*Main extra Slider Heading*/
		$wp_customize->add_setting(
			'lights_store_slider_xtra_heading'.$lights_store_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'lights_store_slider_xtra_heading'.$lights_store_i,
			array(
				'label'       => __('Edit Extra Heading Text ', 'lights-store') .$lights_store_i,
				'description' => __('Edit the slider Extra heading text.', 'lights-store'),
				'section'     => 'lights_store_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'lights_store_slider_heading'.$lights_store_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'lights_store_slider_heading'.$lights_store_i,
			array(
				'label'       => __('Edit Heading Text ', 'lights-store') .$lights_store_i,
				'description' => __('Edit the slider heading text.', 'lights-store'),
				'section'     => 'lights_store_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'lights_store_slider_text'.$lights_store_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'lights_store_slider_text'.$lights_store_i,
			array(
				'label'       => __('Edit Content Text ', 'lights-store') .$lights_store_i,
				'description' => __('Edit the slider content text.', 'lights-store'),
				'section'     => 'lights_store_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'lights_store_slider_button1_text'.$lights_store_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'lights_store_slider_button1_text'.$lights_store_i,
			array(
				'label'       => __('Edit Button Text ', 'lights-store') .$lights_store_i,
				'description' => __('Edit the slider button text.', 'lights-store'),
				'section'     => 'lights_store_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'lights_store_slider_button1_link'.$lights_store_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'lights_store_slider_button1_link'.$lights_store_i,
			array(
				'label'       => __('Edit Button URL ', 'lights-store') .$lights_store_i,
				'description' => __('Edit the slider button url.', 'lights-store'),
				'section'     => 'lights_store_slider_section',
				'type'        => 'url',
			)
		);

	}

	$wp_customize->add_setting( 
		'lights_store_slider_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'lights_store_slider_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more slider options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(LIGHT_STORE_BUY_NOW) ." '>Check Lights Store PRO version.</a>
					</div>
				</div>
			",
			'section' => 'lights_store_slider_section'
		)
	);

	/*
	* Customizer feature bike section
	*/
	/*Project Options*/
	$wp_customize->add_section('lights_store_products_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Our Product Options', 'lights-store'),
		'panel'       => 'lights_store_panel',
	));

	/*Project Enable Option*/
	$wp_customize->add_setting(
		'lights_store_enable_product_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_product_section',
		array(
			'label'       => __('Enable Product Category Section', 'lights-store'),
			'description' => __('Checked to show the product section', 'lights-store'),
			'section'     => 'lights_store_products_section',
			'type'        => 'checkbox',
		)
	);

	$lights_store_args = array(
	    'type'      => 'product',
	    'taxonomy'  => 'product_cat'
	);
	$lights_store_categories = get_categories($lights_store_args);
	$lights_store_cat_posts = array();

	// Add "Select" as the first option
	$lights_store_cat_posts['select'] = __('Select', 'lights-store'); // Key must match the default value

	// Loop through categories and populate $lights_store_cat_posts
	foreach ($lights_store_categories as $lights_store_category) {
	    $lights_store_cat_posts[$lights_store_category->slug] = $lights_store_category->name;
	}

	$wp_customize->add_setting('lights_store_product_category', array(
	    'default'           => 'product_cat1', // Match the key for "Select"
	    'sanitize_callback' => 'lights_store_sanitize_choices',
	));

	$wp_customize->add_control('lights_store_product_category', array(
	    'type'    => 'select',
	    'choices' => $lights_store_cat_posts,
	    'label'   => __('Select Product Category', 'lights-store'),
	    'section' => 'lights_store_products_section',
	));

	$wp_customize->add_setting( 
		'lights_store_product_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'lights_store_product_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more product options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(LIGHT_STORE_BUY_NOW) ." '>Check Lights Store PRO version.</a>
					</div>
				</div>
			",
			'section' => 'lights_store_products_section'
		)
	);

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('lights_store_footer_section', array(
		'priority'       => 8,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'lights-store'),
		'panel'       => 'lights_store_panel',
	));
	
	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'lights_store_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'lights_store_enable_footer',
		array(
			'label'       => __('Enable Footer', 'lights-store'),
			'description' => __('Checked to show Footer', 'lights-store'),
			'section'     => 'lights_store_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('lights_store_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'lights_store_footer_bg_image',array(
        'label' => __('Footer Background Image','lights-store'),
        'section' => 'lights_store_footer_section',
    )));

	/** Footer bg Image Attachment */
    $wp_customize->add_setting('lights_store_background_attachment', array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'scroll',
        'sanitize_callback' => 'lights_store_sanitize_choices'
    ));

    $wp_customize->add_control('lights_store_background_attachment', array(
        'label'    => __('Footer Background Attachment', 'lights-store'),
        'section'  => 'lights_store_footer_section',
        'settings' => 'lights_store_background_attachment',
        'type'     => 'select',
        'choices'  => array(
            'fixed' => __('fixed','lights-store'),
            'scroll' => __('scroll','lights-store'),
        ),
    ));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'lights_store_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'lights-store'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'lights-store'),
			'section'     => 'lights_store_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'lights_store_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'lights_store_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'lights_store_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'lights-store'),
			'description' => __('Checked to enable Go To Top option.', 'lights-store'),
			'section'     => 'lights_store_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('lights_store_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'lights_store_sanitize_choices'
    ));
    $wp_customize->add_control('lights_store_go_to_top_position',array(
        'type' => 'select',
        'section' => 'lights_store_footer_section',
        'label' => esc_html__('Go To Top Positions','lights-store'),
        'choices' => array(
            'Right' => __('Right','lights-store'),
            'Left' => __('Left','lights-store'),
            'Center' => __('Center','lights-store')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'lights_store_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'lights_store_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'lights-store'),
			'description' => __('Edit the Footer Copyright Section.', 'lights-store'),
			'section'     => 'lights_store_footer_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting( 
		'lights_store_footer_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'lights_store_footer_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more footer options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(LIGHT_STORE_BUY_NOW) ." '>Check Lights Store PRO version.</a>
					</div>
				</div>
			",
			'section' => 'lights_store_footer_section'
		)
	);
}
add_action( 'customize_register', 'Lights_Store_Customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function Lights_Store_Customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function Lights_Store_Customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function Lights_Store_Customize_preview_js() {
	wp_enqueue_script( 'lights-store-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), LIGHT_STORE_VERSION, true );
}
add_action( 'customize_preview_init', 'Lights_Store_Customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Lights_Store_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $lights_store_instance = null;

		if ( is_null( $lights_store_instance ) ) {
			$lights_store_instance = new self;
			$lights_store_instance->setup_actions();
		}

		return $lights_store_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $lights_store_manager
	 * @return void
	*/
	public function sections( $lights_store_manager ) {
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$lights_store_manager->register_section_type( 'Lights_Store_Customize_Section_Pro' );

		// Register sections.
		$lights_store_manager->add_section( new Lights_Store_Customize_Section_Pro( $lights_store_manager,'lights_store_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lights Store Pro', 'lights-store' ),
			'pro_text' => esc_html__( 'Buy Pro', 'lights-store' ),
			'pro_url'    => esc_url( LIGHT_STORE_BUY_NOW ),
		) )	);

		// Register sections.
		$lights_store_manager->add_section( new Lights_Store_Customize_Section_Pro( $lights_store_manager,'lights_store_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'lights-store' ),
			'pro_text' => esc_html__( 'Instruction', 'lights-store' ),
			'pro_url'    => esc_url( LIGHT_STORE_LITE_DOC ),
		) )	);

		$lights_store_manager->add_section( new Lights_Store_Customize_Section_Pro( $lights_store_manager, 'lights_store_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Pro Theme Demo', 'lights-store' ),
		    'pro_text'   => esc_html__( 'Live Preview', 'lights-store' ),
		    'pro_url'    => esc_url( LIGHT_STORE_LIVE_DEMO ),
		) ) );	
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'lights-store-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'lights-store-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Lights_Store_Customize::get_instance();